GNU bug report logs - #17166
24.3; ediff-swap-buffers doesn't swap per-difference colors

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Anthony Foiani <anthony.foiani@HIDDEN>; Keywords: moreinfo; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 17166 <at> debbugs.gnu.org and Anthony Foiani <anthony.foiani@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17166 <at> debbugs.gnu.org:


Received: (at 17166) by debbugs.gnu.org; 9 Jun 2022 13:58:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jun 09 09:58:53 2022
Received: from localhost ([127.0.0.1]:47111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nzIgX-0004Mt-6K
	for submit <at> debbugs.gnu.org; Thu, 09 Jun 2022 09:58:53 -0400
Received: from quimby.gnus.org ([95.216.78.240]:49958)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nzIgU-0004Ma-Hg
 for 17166 <at> debbugs.gnu.org; Thu, 09 Jun 2022 09:58:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LrYkMnsTyA0BbwndVZm5b7i9u9k0hyyy4Eof2il5lds=; b=qxcq7LujNsIly1noccpcnmPlKw
 fXhDdYiYITTmyEyrYlgUaccVY/sxMaOdVsAOazF7oWiNV6k38ANn3d015y+nlxNrpZuW1sTykb/xV
 UpZEOcplvkqxcYzVkhLrisvLjDJR9TlBs8RyT26u8qGfLvnlKuajjV4+UIKiLOtaVokA=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nzIgM-0000XM-5Y; Thu, 09 Jun 2022 15:58:44 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Anthony Foiani <anthony.foiani@HIDDEN>
Subject: Re: bug#17166: 24.3; ediff-swap-buffers doesn't swap per-difference
 colors
References: <CAOhNY-94z3t=puFb79KmAc=d7OAOcMzkV_0Jp7axwp6VzfSCjA@HIDDEN>
 <87k0as8anj.fsf@HIDDEN>
X-Now-Playing: Prince's _Sign 'O' the Times (7): Live in Utrecht II_:
 "Forever In My Life (Live In Utrecht)"
Date: Thu, 09 Jun 2022 15:58:40 +0200
In-Reply-To: <87k0as8anj.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 11 May 2022 15:24:32 +0200")
Message-ID: <878rq63pm7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Eight years
 later, 
 those links don't work, of course, so I'm not quite > sure I'm reproducing
 this problem correctly. But following that recipe, > everything seems to
 work fine for me in Emacs 29, b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17166
Cc: 17166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Eight years later, those links don't work, of course, so I'm not quite
> sure I'm reproducing this problem correctly.  But following that recipe,
> everything seems to work fine for me in Emacs 29, but my buffer contents
> may be different in a way that doesn't show the problem.
>
> Are you still seeing this problem in recent Emacs versions?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17166; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 17166 <at> debbugs.gnu.org:


Received: (at 17166) by debbugs.gnu.org; 11 May 2022 13:24:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 09:24:47 2022
Received: from localhost ([127.0.0.1]:36548 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nomKd-0004Cl-GE
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 09:24:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nomKb-0004CR-Mb
 for 17166 <at> debbugs.gnu.org; Wed, 11 May 2022 09:24:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ko17nZNNkkY2UTFRCQ+bnWtLl205xXN4i61X83jfk1c=; b=g+gZnLDpiIBtT/6WeBzmfaGG7D
 fuc75zNYZtF3b3ee1bc6t+0NK3kGBnZN+X1i0iuDO/pGw3zwEfAVPJAGyBPvfS95M+k2tRkdf8Had
 oxkX2He2o9+/B70j5Qt7sIVIdAbRvc5iEEatLP4j9SUGFjfro7yiHKVCJZ1aZsJbsQ9U=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nomKT-00008F-2C; Wed, 11 May 2022 15:24:39 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Anthony Foiani <anthony.foiani@HIDDEN>
Subject: Re: bug#17166: 24.3; ediff-swap-buffers doesn't swap per-difference
 colors
References: <CAOhNY-94z3t=puFb79KmAc=d7OAOcMzkV_0Jp7axwp6VzfSCjA@HIDDEN>
X-Now-Playing: Joni Mitchell's _Taming the Tiger_: "The Crazy Cries of Love"
Date: Wed, 11 May 2022 15:24:32 +0200
In-Reply-To: <CAOhNY-94z3t=puFb79KmAc=d7OAOcMzkV_0Jp7axwp6VzfSCjA@HIDDEN>
 (Anthony Foiani's message of "Wed, 2 Apr 2014 00:05:27 -0700")
Message-ID: <87k0as8anj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Anthony Foiani <anthony.foiani@HIDDEN> writes: > What I
 wanted to happen: > > When using "~" to swap buffers A and B in a simple
 "ediff-buffers" > invocation, I would like the per-diff region backgrounds
 to also be > swapped (e.g, red should stay [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 17166
Cc: 17166 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Anthony Foiani <anthony.foiani@HIDDEN> writes:

> What I wanted to happen:
>
>   When using "~" to swap buffers A and B in a simple "ediff-buffers"
>   invocation, I would like the per-diff region backgrounds to also be
>   swapped (e.g, red should stay on the top or left, while green should
>   be on the bottom or right).
>
> How I tried to make it happen:
>
>   0. Start emacs with "emacs -q"
>   1. Create buffer "*before*", add some content
>   2. Create buffer "*after*", add similar but slightly different
>      content.
>   3. M-x ediff-buffers RET *before* RET *after* RET
>   4. "~" to swap A/B buffers
>   5. "n" to go to change 1
>
> What actually happened:
>
>   At step (5) above, instead of seeing dim red + bright red on the top,
>   and dim green + bright green on the bottom, the overall regions had
>   the wrong color (dim green on top, dim red on bottom), while the
>   refinements had the correct colors (bright red on top, bright greeen
>   on bottom).
>
> Screenshots:
>
>   1. Correct colors, before swapping with "~":
>      http://foiani.home.dyndns.org/~tony/emacs/correct-before-swap.png
>
>   2. Incorrect colors, after swap:
>      http://foiani.home.dyndns.org/~tony/emacs/wrong-after-swap.png

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

Eight years later, those links don't work, of course, so I'm not quite
sure I'm reproducing this problem correctly.  But following that recipe,
everything seems to work fine for me in Emacs 29, but my buffer contents
may be different in a way that doesn't show the problem.

Are you still seeing this problem in recent Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#17166; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Apr 2014 07:07:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 02 03:07:47 2014
Received: from localhost ([127.0.0.1]:60235 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WVFH0-0004qs-7T
	for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 03:07:47 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48575)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <anthony.foiani@HIDDEN>) id 1WVFEt-0004n5-KS
 for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 03:05:36 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <anthony.foiani@HIDDEN>) id 1WVFEr-0000Y4-LI
 for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 03:05:35 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:43372)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <anthony.foiani@HIDDEN>) id 1WVFEr-0000Y0-J1
 for submit <at> debbugs.gnu.org; Wed, 02 Apr 2014 03:05:33 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:50280)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <anthony.foiani@HIDDEN>) id 1WVFEq-0002f3-2i
 for bug-gnu-emacs@HIDDEN; Wed, 02 Apr 2014 03:05:33 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <anthony.foiani@HIDDEN>) id 1WVFEn-0000SC-Up
 for bug-gnu-emacs@HIDDEN; Wed, 02 Apr 2014 03:05:31 -0400
Received: from mail-ob0-x235.google.com ([2607:f8b0:4003:c01::235]:59831)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <anthony.foiani@HIDDEN>) id 1WVFEn-0000Qb-OW
 for bug-gnu-emacs@HIDDEN; Wed, 02 Apr 2014 03:05:29 -0400
Received: by mail-ob0-f181.google.com with SMTP id wp4so12356935obc.40
 for <bug-gnu-emacs@HIDDEN>; Wed, 02 Apr 2014 00:05:28 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:date:message-id:subject:from:to:content-type
 :content-transfer-encoding;
 bh=u3AYQtLfP6EosrFi+gCy9Mtt6A4RMaaaXhb/12DCDLQ=;
 b=wDhCttOwgnrN1a3P9z+fQNkN5F2/Er8I95+JobLyZ72njsU4m2h9fmpp59SNSDJTmg
 7FWSWDrQCtbD4y7tNlAoc2B1LZdcfksuEZhltzhkWRVwINFdzBkmSC+IyEZfPDyALQM+
 IHLv0a7Azl5W8DonaxVfG8F2kFWFia0os8bCOTBciRLd8DqU3tDAxuA3iW8cwPCh+1GF
 kieN1QRYnDV18SQhhdiCBCXNKPnrt2rAPNno15q2u5uB391i9jveihA+fhorTZ0zxpg4
 hTm1a6kOMQBsfcRCkZIg464taPb3T7Gdfelz5NyMxjRn5+qJc5dcS8gy6d/4VgChgeQh
 MRNw==
MIME-Version: 1.0
X-Received: by 10.182.117.195 with SMTP id kg3mr31918502obb.17.1396422327929; 
 Wed, 02 Apr 2014 00:05:27 -0700 (PDT)
Received: by 10.76.150.105 with HTTP; Wed, 2 Apr 2014 00:05:27 -0700 (PDT)
Date: Wed, 2 Apr 2014 00:05:27 -0700
Message-ID: <CAOhNY-94z3t=puFb79KmAc=d7OAOcMzkV_0Jp7axwp6VzfSCjA@HIDDEN>
Subject: 24.3; ediff-swap-buffers doesn't swap per-difference colors
From: Anthony Foiani <anthony.foiani@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 02 Apr 2014 03:07:43 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgment at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':

What I wanted to happen:

  When using "~" to swap buffers A and B in a simple "ediff-buffers"
  invocation, I would like the per-diff region backgrounds to also be
  swapped (e.g, red should stay on the top or left, while green should
  be on the bottom or right).

How I tried to make it happen:

  0. Start emacs with "emacs -q"
  1. Create buffer "*before*", add some content
  2. Create buffer "*after*", add similar but slightly different
     content.
  3. M-x ediff-buffers RET *before* RET *after* RET
  4. "~" to swap A/B buffers
  5. "n" to go to change 1

What actually happened:

  At step (5) above, instead of seeing dim red + bright red on the top,
  and dim green + bright green on the bottom, the overall regions had
  the wrong color (dim green on top, dim red on bottom), while the
  refinements had the correct colors (bright red on top, bright greeen
  on bottom).

Screenshots:

  1. Correct colors, before swapping with "~":
     http://foiani.home.dyndns.org/~tony/emacs/correct-before-swap.png

  2. Incorrect colors, after swap:
     http://foiani.home.dyndns.org/~tony/emacs/wrong-after-swap.png

  (Each of those images are about 35KiB, if size is a concern.)

Other info:

My .Xresources:

  Emacs*foreground: grey80
  Emacs*background: black
  Emacs.default.attributeFont: dejavu sans:pixelsize=3D14
  Emacs.font: dejavu sans mono:pixelsize=3D14
  Emacs*modeline.foreground: grey90
  Emacs*modeline.background: grey30
  Emacs*zmacs-region.background: #000044
  Emacs*isearch.background: #004444


If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.3/etc/DEBUG.


In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.8.2)
 of 2013-08-14 on buildvm-15.phx2.fedoraproject.org
Windowing system distributor `Fedora Project', version 11.0.11404000
System Description:    Fedora release 19 (Schr=C3=B6dinger=E2=80=99s Cat)

Configured using:
 `configure '--build=3Dx86_64-redhat-linux-gnu'
 '--host=3Dx86_64-redhat-linux-gnu' '--program-prefix=3D'
 '--disable-dependency-tracking' '--prefix=3D/usr' '--exec-prefix=3D/usr'
 '--bindir=3D/usr/bin' '--sbindir=3D/usr/sbin' '--sysconfdir=3D/etc'
 '--datadir=3D/usr/share' '--includedir=3D/usr/include'
 '--libdir=3D/usr/lib64' '--libexecdir=3D/usr/libexec'
 '--localstatedir=3D/var' '--sharedstatedir=3D/var/lib'
 '--mandir=3D/usr/share/man' '--infodir=3D/usr/share/info' '--with-dbus'
 '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
 '--with-xft' '--with-xpm' '--with-x-toolkit=3Dgtk3' '--with-gpm=3Dno'
 'build_alias=3Dx86_64-redhat-linux-gnu'
 'host_alias=3Dx86_64-redhat-linux-gnu' 'CFLAGS=3D-DMAIL_USE_LOCKF -O2 -g
 -pipe -Wall -Wp,-D_FORTIFY_SOURCE=3D2 -fexceptions -fstack-protector
 --param=3Dssp-buffer-size=3D4 -grecord-gcc-switches -m64 -mtune=3Dgeneric'
 'LDFLAGS=3D-Wl,-z,relro ''

Important settings:
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-e C-b C-d A C-n <tab> C-p C-a C-SPC C-n C-n C-w C-p
C-p C-y C-_ C-p C-y C-p C-e C-b C-b C-b C-d A C-a C-p
C-SPC C-n C-n C-w C-y C-y C-p C-f C-f C-f C-f C-f C-f
C-f C-f C-f C-f C-f C-p C-f C-e C-b C-d B C-n C-b C-b
C-b C-d B C-a C-n <tab> C-n C-p C-p C-e <backspace>
C-p C-p C-d C-n <tab> C-n <tab> C-p C-p C-a C-p C-e
C-p C-a C-n C-e C-p <return> ( p r o g n C-a C-n C-p
<tab> C-n <tab> C-n <tab> C-n <tab> C-n <tab> C-n <tab>
C-n <tab> C-n <tab> C-e <backspace> ) ) ) C-a C-n C-SPC
C-n C-n C-n C-n C-n C-n C-n C-w C-p C-p C-p C-n C-n
C-x C-s C-e C-n C-g C-v C-n C-n C-n C-n C-n C-n C-n
C-n C-n C-n C-e C-n C-n C-p C-x C-e C-x C-b C-x o C-g
C-g C-x o C-x C-g M-x e d i f f - b u f <tab> <return>
* b e f o r e * <return> * a f t e r <return> | n p
~ n q y q y C-g C-g C-g <switch-frame> <switch-frame>
<down-mouse-1> <mouse-movement> <drag-mouse-1> <down-mouse-1>
<mouse-movement> <mouse-1> C-x C-b C-x o C-n C-n C-n
C-p C-n f C-x 1 M-v M-v C-v C-l C-p C-p C-p C-p C-p
C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-p C-n C-n
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-f C-f
C-f C-f C-f C-f C-f C-f C-f C-f C-n C-n C-e ) C-n C-n
<backspace> <backspace> C-_ C-_ C-_ C-_ SPC C-_ C-_
C-p C-p C-p C-p C-p C-p C-n C-n C-n C-p C-e C-n C-n
M-x r e p o r t <tab> <return>

Recent messages:
progn: Symbol's value as variable is void: ediff-even-diff-A
ediff-next-difference: Args out of range: 1, 64
Quit this Ediff session? (y or n)  y
ediff-recenter: Args out of range: 1, 64
Quit this Ediff session? (y or n)  y
ediff-recenter: Args out of range: 1, 64
Quit [3 times]
Mark set
Undo! [5 times]
Redo!

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils mule-util edebug easymenu jka-compr shell
pcomplete grep compile comint ansi-color ring misearch multi-isearch
dired-aux dired emerge ediff-merg ediff-diff ediff-wind ediff-help
ediff-util ediff-mult ediff-init ediff time-date tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process dbusbind dynamic-setting
system-font-setting font-render-setting move-toolbar gtk x-toolkit x
multi-tty emacs)




Acknowledgement sent to Anthony Foiani <anthony.foiani@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#17166; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 9 Jun 2022 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.